FOPSAXSVGDocumentFactory (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.svg

## Class FOPSAXSVGDocumentFactory

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.apache.batik.dom.util.SAXDocumentFactory
    - - org.apache.batik.anim.dom.SAXSVGDocumentFactory
      - - org.apache.fop.svg.FOPSAXSVGDocumentFactory

- All Implemented Interfaces:
    org.apache.batik.dom.svg.SVGDocumentFactory, org.apache.batik.dom.util.DocumentFactory, ContentHandler, DTDHandler, EntityResolver, ErrorHandler, LexicalHandler

      public class FOPSAXSVGDocumentFactory
      extends org.apache.batik.anim.dom.SAXSVGDocumentFactory

  This is a special subclass to allow setting a special EntityResolver.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.batik.dom.util.SAXDocumentFactory

      `org.apache.batik.dom.util.SAXDocumentFactory.PreInfo`

  - ### Field Summary

    - ### Fields inherited from class org.apache.batik.anim.dom.SAXSVGDocumentFactory

      `dtdids, DTDIDS, dtdProps, HTTP_CHARSET, KEY_PUBLIC_IDS, KEY_SKIP_DTD, KEY_SKIPPABLE_PUBLIC_IDS, KEY_SYSTEM_ID, LOCK, skip_dtd, skippable_dtdids`

    - ### Fields inherited from class org.apache.batik.dom.util.SAXDocumentFactory

      `createDocumentDescriptor, currentNode, doctype, document, documentDescriptor, errorHandler, implementation, inCDATA, inDTD, inProlog, isStandalone, isValidating, locator, namespaces, parser, parserClassName, preInfo, stringBuffer, stringContent, xmlVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FOPSAXSVGDocumentFactory(String parser)` Creates a new DocumentFactory object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Document` | `getDocument()` Returns the document built up by handling the incoming SAX events.
    `InputSource` | `resolveEntity(String publicId, String systemId)`
    `void` | `setAdditionalEntityResolver(EntityResolver resolver)` Sets an additional entity resolver.

    - ### Methods inherited from class org.apache.batik.anim.dom.SAXSVGDocumentFactory

      `createDocument, createDocument, createDocument, createDocument, createDocument, createDocument, createSVGDocument, createSVGDocument, createSVGDocument, getDOMImplementation, startDocument`

    - ### Methods inherited from class org.apache.batik.dom.util.SAXDocumentFactory

      `appendStringData, characters, comment, createDocument, createDocument, createDocument, endCDATA, endDTD, endElement, endEntity, error, fatalError, getDocumentDescriptor, ignorableWhitespace, isValidating, processingInstruction, setDocumentLocator, setErrorHandler, setValidating, startCDATA, startDTD, startElement, startEntity, warning`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `endDocument, endPrefixMapping, notationDecl, skippedEntity, startPrefixMapping, unparsedEntityDecl`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.batik.dom.util.DocumentFactory

      `createDocument, getDocumentDescriptor, isValidating, setValidating`

- - ### Constructor Detail

    - #### FOPSAXSVGDocumentFactory

          public FOPSAXSVGDocumentFactory(String parser)

      Creates a new DocumentFactory object.
      Parameters:
        `parser` - The SAX2 parser classname.

  - ### Method Detail

    - #### setAdditionalEntityResolver

          public void setAdditionalEntityResolver(EntityResolver resolver)

      Sets an additional entity resolver. It will be used before the default entity resolving.
      Parameters:
        `resolver` - Additional resolver

    - #### resolveEntity

          public InputSource resolveEntity(String publicId,
                                           String systemId)
                                    throws SAXException

      Specified by:
        `resolveEntity` in interface `EntityResolver`
      Overrides:
        `resolveEntity` in class `org.apache.batik.anim.dom.SAXSVGDocumentFactory`
      Throws:
        `SAXException`

    - #### getDocument

          public Document getDocument()

      Returns the document built up by handling the incoming SAX events. This method will not return any instance for the first SAX events have been received.
      Returns:
        the DOM document

Copyright © 2025 Apache Software Foundation. All rights reserved.